From: Tobias Geerinckx-Rice <me@tobias.gr>
Date: Sat, 14 Nov 2020 15:40:38 +0100
Subject: [PATCH] gnu: perl-www-curl: Remove undeclared symbols.

Copied verbatim from the FreeBSD port[0].

[0]: https://www.freshports.org/www/p5-WWW-Curl

--- a/Makefile.PL	2014-02-21 08:08:09.000000000 -0800
+++ b/Makefile.PL	2020-04-20 15:36:35.008798000 -0700
@@ -100,6 +100,13 @@
      print "Found curl.h in $curl_h\n";
      my @syms;
      my $has_cpp = 0;
+     my @skiplist = qw/
+        CURL_DID_MEMORY_FUNC_TYPEDEFS
+        CURL_STRICTER
+        CURLINC_CURL_H
+        CURL_WIN32
+        CURLOPT
+     /;
      open(H_IN, "-|", "cpp", $curl_h) and $has_cpp++;
      unless ($has_cpp) {
          warn "No working cpp ($!).  Parsing curl.h in Perl";
@@ -121,6 +128,7 @@
     open (H, "<", $curl_h) or die ("Cannot open $curl_h: ".$!);
     while(<H>) {
         if (/^#define (CURL[A-Za-z0-9_]*)/) {
+            next if $1 ~~ @skiplist;
             push @syms, $1;
         }
     }
le>
<table class='tabs'><tr><td>
<a href='/guix/about/'>about</a><a href='/guix/'>summary</a><a href='/guix/refs/?id=92fba6c72acb2dd5f67e5bb7b0fc6d70e2a4a9ee'>refs</a><a class='active' href='/guix/log/gnu/services/rsync.scm'>log</a><a href='/guix/tree/gnu/services/rsync.scm?id=92fba6c72acb2dd5f67e5bb7b0fc6d70e2a4a9ee'>tree</a><a href='/guix/commit/gnu/services/rsync.scm?id=92fba6c72acb2dd5f67e5bb7b0fc6d70e2a4a9ee'>commit</a><a href='/guix/diff/gnu/services/rsync.scm?id=92fba6c72acb2dd5f67e5bb7b0fc6d70e2a4a9ee'>diff</a></td><td class='form'><form class='right' method='get' action='/guix/log/gnu/services/rsync.scm'>
<input type='hidden' name='id' value='92fba6c72acb2dd5f67e5bb7b0fc6d70e2a4a9ee'/><select name='qt'>
<option value='grep'>log msg</option>
<option value='author'>author</option>
<option value='committer'>committer</option>
<option value='range'>range</option>
</select>
<input class='txt' type='search' size='10' name='q' value=''/>
<input type='submit' value='search'/>
</form>
</td></tr></table>
<div class='path'>path: <a href='/guix/log/?id=92fba6c72acb2dd5f67e5bb7b0fc6d70e2a4a9ee'>root</a>/<a href='/guix/log/gnu?id=92fba6c72acb2dd5f67e5bb7b0fc6d70e2a4a9ee'>gnu</a>/<a href='/guix/log/gnu/services?id=92fba6c72acb2dd5f67e5bb7b0fc6d70e2a4a9ee'>services</a>/<a href='/guix/log/gnu/services/rsync.scm?id=92fba6c72acb2dd5f67e5bb7b0fc6d70e2a4a9ee'>rsync.scm</a></div><div class='content'><table class='list nowrap'><tr class='nohover'><th class='left'>Age</th><th class='left'>Commit message (<a href='/guix/log/gnu/services/rsync.scm?id=92fba6c72acb2dd5f67e5bb7b0fc6d70e2a4a9ee&amp;showmsg=1'>Expand</a>)</th><th class='left'>Author</th></tr>
<tr><td><span title='2023-11-26 23:34:48 +0100'>2023-11-26</span></td><td><a href='/guix/commit/gnu/services/rsync.scm?id=da2dc98185526796fbfb4bc63caf9d70aead9037'>services: rsync: Provide a prettier Shepherd inetd service name.</a><span class='msg-avail'>...<span class='msg-tooltip'>Previously, a default name would be used for transient inetd services,
leading to names such as #{5rjnskb6011jgmfmpgp63jp9mh9nkl20-rsync-3274}#.

* gnu/services/rsync.scm (rsync-shepherd-service): Pass #:service-name-stem.

Change-Id: I4d0a4a01e122c6eeaa85f104b083cf7e8709eac3
</span></span></td><td>Ludovic Courtès</td></tr>
<tr><td><span title='2023-05-18 23:11:19 -0400'>2023-05-18</span></td><td><a href='/guix/commit/gnu/services/rsync.scm?id=d43d8377c741c849ca89dccb07e7d87f82ae88d5'>services: rsync: Use least authority wrapper.</a><span class='msg-avail'>...<span class='msg-tooltip'>* gnu/services/rsync.scm (rsync-shepherd-service) Wrap rsync command in a
least-authority-wrapper.

Reviewed-by: Ludovic Courtès &lt;ludo@gnu.org&gt;
</span></span></td><td>Maxim Cournoyer</td></tr>
<tr><td><span title='2023-05-18 23:10:56 -0400'>2023-05-18</span></td><td><a href='/guix/commit/gnu/services/rsync.scm?id=03e601da49e43ed0235144f32095ce5f58f16275'>services: rsync: Use make-inetd-constructor.</a><span class='msg-avail'>...<span class='msg-tooltip'>* gnu/services/rsync.scm (rsync-shepherd-service): Use make-inetd-constructor
if available in start slot.
* gnu/tests/rsync.scm (run-rsync-test): Delete "PID file" test.

Reviewed-by: Ludovic Courtès &lt;ludo@gnu.org&gt;
</span></span></td><td>Maxim Cournoyer</td></tr>
<tr><td><span title='2023-04-21 16:16:37 +0200'>2023-04-21</span></td><td><a href='/guix/commit/gnu/services/rsync.scm?id=70677d882276ff44bc31d39e378749b976a9ca7d'>services: rsync: Add 'configuration' action.</a><span class='msg-avail'>...<span class='msg-tooltip'>* gnu/services/rsync.scm (rsync-shepherd-service): Add 'actions' field.
</span></span></td><td>Ludovic Courtès</td></tr>
